Subject: Re: [PATCH v2 bpf-next 03/14] bpf: Support bpf program calling kernel function

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Fri, 26 Mar 2021 11:11:41 +0100

Martin KaFai Lau <[email-masked]> writes:

> On Thu, Mar 25, 2021 at 11:02:23PM +0100, Toke Høiland-Jørgensen wrote:
>> Martin KaFai Lau <[email-masked]> writes:
>> 
>> > This patch adds support to BPF verifier to allow bpf program calling
>> > kernel function directly.
>> 
>> Hi Martin
>> 
>> This is exciting stuff! :)
>> 
>> Just one quick question about this:
>> 
>> > [ For the future calling function-in-kernel-module support, an array
>> >   of module btf_fds can be passed at the load time and insn->off
>> >   can be used to index into this array. ]
>> 
>> Is adding the support for extending this to modules also on your radar,
>> or is this more of an "in case someone needs it" comment? :)
>
> It is in my list.  I don't mind someone beats me to it though
> if he/she has an immediate use case. ;)

Noted ;)
No promises though, and at the rate you're going you may just get there
first. I'll be sure to ping you if I do start on this so we avoid
duplicating effort!

-Toke